#!/usr/bin/env ruby
require_relative 'tello.rb'

t = Tello.new

Signal.trap(:INT){
  STDERR.puts "緊急着陸します。"
  t.send_command("land")
  sleep 3
  exit 1
}

t.send_command("command")
#### ここから
print "Enterで離陸:"; gets
t.send_command("takeoff")
print "Enterで前へ50cm:"; gets
t.send_command("forward 300cm")







#### ここまでの間に命令を入れてゴールにたどり着けるようにしよう!!
t.send_command("land")
